package com.clx.performance.service.integral;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.integral.*;
import com.clx.performance.vo.pc.integral.AppIntegralTruckRuleVO;

public interface IntegralTruckRuleService {

    void addRule(IntegralTruckRuleSaveParam param);
    void updateRule(IntegralTruckRuleUpdateParam param);
    void updateRuleStatus(IntegralTruckRuleStatusUpdateParam param);
    void deleteRule(IntegralTruckRuleStatusDeleteParam param);

    AppIntegralTruckRuleVO getRuleInfo(Integer id);
    IPage<AppIntegralTruckRuleVO> pageRule(PageIntegralTruckRuleParam param);

}
